Debian Bug report logs - #250314
xemacs21-nomule: crypt++el does not work with 21.4.15

version graph

Package: xemacs21-nomule; Maintainer for xemacs21-nomule is Mark Brown <broonie@debian.org>; Source for xemacs21-nomule is src:xemacs21.

Reported by: Liam Healy <lnp@healy.washington.dc.us>

Date: Sat, 22 May 2004 02:33:01 UTC

Severity: normal

Found in version 21.4.6-8

Fixed in version 21.4.22-4+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Liam Healy <lnp@healy.washington.dc.us>, James LewisMoss <dres@debian.org>:
Bug#250314; Package xemacs21-nomule. Full text and rfc822 format available.

Acknowledgement sent to Liam Healy <lnp@healy.washington.dc.us>:
New Bug report received and forwarded. Copy sent to Liam Healy <lnp@healy.washington.dc.us>, James LewisMoss <dres@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Liam Healy <lnp@healy.washington.dc.us>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: 230584@bugs.debian.org
Subject: xemacs21-nomule: crypt++el does not work with 21.4.15
Date: Fri, 21 May 2004 22:24:16 -0400
Package: xemacs21-nomule
Version: 21.4.6-8
Severity: normal

See bug 230584 I filed against crypt++el:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=230584
using crypt++el with a gpg encrypted file brings up a blank buffer
instead of the file.

I just tried pinning XEmacs21 to the testing version (21.4.6), and the
problem no longer occurs (same version of crypt++el).  So this appears
to be a problem with XEmacs 21.4.15 in unstable, or an interaction
between XEmacs and crypt++el.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.4-1-686
Locale: LANG=C, LC_CTYPE=C

Versions of packages xemacs21-nomule depends on:
ii  emacsen-common            1.4.15         Common facilities for all emacsen.
ii  libc6                     2.3.2.ds1-11   GNU C Library: Shared libraries an
ii  libcompfaceg1             1989.11.11-24  Compress/decompress images for mai
ii  libdb3                    3.2.9-19       Berkeley v3 Database Libraries [ru
ii  libjpeg62                 6b-9           The Independent JPEG Group's JPEG 
ii  libldap2                  2.1.25-1       OpenLDAP libraries
ii  libncurses5               5.4-3          Shared libraries for terminal hand
ii  libpng2                   1.0.15-4       PNG library, older version - runti
ii  libtiff3g                 3.6.1-1        Tag Image File Format library
ii  libxaw7                   4.3.0-7        X Athena widget set library
ii  xemacs21-basesupport      2003.01.27-1.1 Editor and kitchen sink -- compile
ii  xemacs21-bin              21.4.6-8       Editor and kitchen sink -- support
ii  xemacs21-support          21.4.6-8       Editor and kitchen sink -- archite
ii  xlibs                     4.2.1-16       X Window System client libraries
ii  zlib1g                    1:1.2.1-5      compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#250314; Package xemacs21-nomule. Full text and rfc822 format available.

Acknowledgement sent to Liam Healy <lnp@healy.washington.dc.us>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #10 received at 250314@bugs.debian.org (full text, mbox):

From: "Liam M. Healy" <lnp@healy.washington.dc.us>
To: 250314@bugs.debian.org
Subject: Accidently fixed, then broken again
Date: Thu, 2 Feb 2006 19:11:00 -0500
Several months ago, this problem vanished on upgrade.
In the recent transition
[UPGRADE] xemacs21-nomule 21.4.18-2 -> 21.4.18-3
it has reappeared, both on x86 and amd64.
Looking in the log, I notice:

News http://packages.qa.debian.org/x/xemacs21.html
[2006-01-20] Accepted 21.4.18-3 in unstable (low) (OHURA Makoto)
says
  * debian/PackagesMakefiles.in:
     - Accidentally I've dropped some configure options at 21.4.17-2.
     Put them back.

The date for 21.4.17-2 was 2005-05-28 which was probably when crypt
files started working again.  So it appears something in the configure
options breaks crypt file usage.  Is it possible to get more specifics
on what configure options were restored and how to change them so we
can find the cause of this bug?

Thank you.

Liam



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#250314; Package xemacs21-nomule. Full text and rfc822 format available.

Acknowledgement sent to OHURA Makoto <ohura@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 250314@bugs.debian.org (full text, mbox):

From: OHURA Makoto <ohura@debian.org>
To: lnp@healy.washington.dc.us, 250314@bugs.debian.org
Subject: Re: Bug#250314: Accidently fixed, then broken again
Date: Sun, 05 Feb 2006 00:14:28 +0900 (JST)
[Message part 1 (text/plain, inline)]
  Hi.

From: "Liam M. Healy" <lnp@healy.washington.dc.us>
Subject: Bug#250314: Accidently fixed, then broken again
Date: Thu, 2 Feb 2006 19:11:00 -0500

> The date for 21.4.17-2 was 2005-05-28 which was probably when crypt
> files started working again.  So it appears something in the configure
> options breaks crypt file usage.  Is it possible to get more specifics
> on what configure options were restored and how to change them so we
> can find the cause of this bug?

  You can get configure options from the file
/usr/lib/xemacs-21.4.*/*-debian-linux/mule/config.values.

  For example;

---- xemacs21 21.4.19-1
$ grep ^EMACS_CONFIG_OPTIONS /usr/lib/xemacs-21.4.19/i386-debian-linux/mule/config.values
EMACS_CONFIG_OPTIONS "--with-sound=none,native --with-x11 --extra-verbose --with-site-lisp --with-database=berkdb --statedir=/var/lib --infodir=/usr/share/info/xemacs21 --infopath=/usr/share/info/xemacs21 --prefix=/usr --dynamic --error-checking=none --debug=no --with-pop --with-file-coding --pdump --with-system-malloc --with_menubars=lucid --with_scrollbars=lucid --with_dialogs=athena --docdir=/usr/lib/xemacs-21.4.19/i386-debian-linux/mule/ --with-mule --with-canna=no --with-wnn=no --with-xim=xlib --with-xfs '--package-path=~/.xemacs:~/.xemacs/packages:~/.xemacs/xemacs-packages::/usr/share/xemacs21/site-packages:/usr/share/xemacs21/mule-packages:/usr/share/xemacs21/xemacs-packages' i386-debian-linux"

---- xemacs21 21.4.17-2
$ grep ^EMACS_CONFIG_OPTIONS usr/lib/xemacs-21.4.17/i386-debian-linux/mule/config.values
EMACS_CONFIG_OPTIONS "--with-sound=none,native --with-x11 --extra-verbose --with-site-lisp --with-database=berkdb --statedir=/var/lib --infodir=/usr/share/info/xemacs21 --infopath=/usr/share/info/xemacs21 --with_menubars=lucid --with_scrollbars=lucid --with_dialogs=athena --docdir=/usr/lib/xemacs-21.4.17/i386-debian-linux/mule/ --with-mule --with-canna=no --with-wnn=no --with-xim=xlib --with-xfs '--package-path=~/.xemacs:~/.xemacs/packages:~/.xemacs/xemacs-packages::/usr/share/xemacs21/site-packages:/usr/share/xemacs21/mule-packages:/usr/share/xemacs21/xemacs-packages' i386-debian-linux"


  Thanks.

----
  OHURA Makoto: ohura@debian.org(Debian Project)
                ohura@netfort.gr.jp(LILO/Netfort)
  GnuPG public key: http://www.netfort.gr.jp/~ohura/gpg.asc.txt
        fingerprint: 54F6 D1B1 2EE1 81CD 65E3  A1D3 EEA2 EFA2 77DC E083
  http://www.netfort.gr.jp/~ohura/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#250314; Package xemacs21-nomule. Full text and rfc822 format available.

Acknowledgement sent to Liam Healy <lnp@healy.washington.dc.us>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #20 received at 250314@bugs.debian.org (full text, mbox):

From: "Liam M. Healy" <lnp@healy.washington.dc.us>
To: 250314@bugs.debian.org, ohura@debian.org
Subject: Coding system
Date: Sun, 05 Feb 2006 17:51:41 -0500
Thanks for the info on where to find the configure options.
I found that in -3, the following EMACS_CONFIG_OPTIONS were added:
--prefix=/usr
--dynamic
--error-checking=none
--debug=no
--with-pop
--with-file-coding
--pdump
--with-system-malloc

I suspect the important one is --with-file-coding.  After posting a
query to #xemacs, I got a sample solution,
http://paste.lisp.org/display/16485 which works for me.  In fact, just
one line added to .emacs makes the whole thing work:

(modify-coding-system-alist 'file "\\.gpg\\(\\.~[.0-9]+~\\)?$" 'binary)

This requires that the file have .gpg extension which I didn't have,
but it basically solves the problem.  Since I have one GPG file
without an extension I just name that explicitly to
modify-coding-system-alist.  

I'm not sure if this is still a bug, since I have a workaround.  It's
taken more than two years of intermittent investigation since 230584
was filed, so for the next person who wants to use crypt++el it would
be helpful if the default behavior were for it to function as
expected.  Failing that, some documentation on the necessary
form to execute would be good.

Liam



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#250314; Package xemacs21-nomule. Full text and rfc822 format available.

Acknowledgement sent to Liam Healy <lnp@healy.washington.dc.us>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #25 received at 250314@bugs.debian.org (full text, mbox):

From: "Liam M. Healy" <lnp@healy.washington.dc.us>
To: 250314@bugs.debian.org
Subject: Still a problem
Date: Wed, 08 Feb 2006 22:42:55 -0500
I emailed a bit to soon.  While the modify-coding-system-alist call
makes the buffer appear correct, modifying and saving the
file will result in an unreadable encrypted file.




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 13 Oct 2013 10:05:01 GMT) Full text and rfc822 format available.

Notification sent to Liam Healy <lnp@healy.washington.dc.us>:
Bug acknowledged by developer. (Sun, 13 Oct 2013 10:05:01 GMT) Full text and rfc822 format available.

Message #30 received at 250314-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 39667-done@bugs.debian.org,40202-done@bugs.debian.org,40203-done@bugs.debian.org,42457-done@bugs.debian.org,47287-done@bugs.debian.org,47515-done@bugs.debian.org,49056-done@bugs.debian.org,50712-done@bugs.debian.org,51542-done@bugs.debian.org,54069-done@bugs.debian.org,54857-done@bugs.debian.org,55892-done@bugs.debian.org,56542-done@bugs.debian.org,57468-done@bugs.debian.org,60974-done@bugs.debian.org,61132-done@bugs.debian.org,61355-done@bugs.debian.org,61665-done@bugs.debian.org,62005-done@bugs.debian.org,63285-done@bugs.debian.org,63476-done@bugs.debian.org,63697-done@bugs.debian.org,63707-done@bugs.debian.org,63744-done@bugs.debian.org,64058-done@bugs.debian.org,64513-done@bugs.debian.org,64835-done@bugs.debian.org,65494-done@bugs.debian.org,66408-done@bugs.debian.org,67045-done@bugs.debian.org,67386-done@bugs.debian.org,68017-done@bugs.debian.org,72210-done@bugs.debian.org,74084-done@bugs.debian.org,74104-done@bugs.debian.org,75456-done@bugs.debian.org,75920-done@bugs.debian.org,75998-done@bugs.debian.org,76992-done@bugs.debian.org,77372-done@bugs.debian.org,77558-done@bugs.debian.org,78446-done@bugs.debian.org,78447-done@bugs.debian.org,79144-done@bugs.debian.org,80280-done@bugs.debian.org,81915-done@bugs.debian.org,83610-done@bugs.debian.org,85817-done@bugs.debian.org,88953-done@bugs.debian.org,90542-done@bugs.debian.org,92310-done@bugs.debian.org,94623-done@bugs.debian.org,98489-done@bugs.debian.org,98501-done@bugs.debian.org,99501-done@bugs.debian.org,100956-done@bugs.debian.org,101759-done@bugs.debian.org,102513-done@bugs.debian.org,104211-done@bugs.debian.org,104213-done@bugs.debian.org,104758-done@bugs.debian.org,105928-done@bugs.debian.org,106146-done@bugs.debian.org,107168-done@bugs.debian.org,107472-done@bugs.debian.org,107776-done@bugs.debian.org,108633-done@bugs.debian.org,109032-done@bugs.debian.org,109187-done@bugs.debian.org,109738-done@bugs.debian.org,110584-done@bugs.debian.org,110646-done@bugs.debian.org,110778-done@bugs.debian.org,110976-done@bugs.debian.org,112894-done@bugs.debian.org,113368-done@bugs.debian.org,113491-done@bugs.debian.org,113585-done@bugs.debian.org,114693-done@bugs.debian.org,114797-done@bugs.debian.org,117731-done@bugs.debian.org,118828-done@bugs.debian.org,122992-done@bugs.debian.org,126074-done@bugs.debian.org,126298-done@bugs.debian.org,126773-done@bugs.debian.org,128065-done@bugs.debian.org,133822-done@bugs.debian.org,134172-done@bugs.debian.org,134689-done@bugs.debian.org,135362-done@bugs.debian.org,135805-done@bugs.debian.org,142197-done@bugs.debian.org,142555-done@bugs.debian.org,143039-done@bugs.debian.org,143107-done@bugs.debian.org,143231-done@bugs.debian.org,143915-done@bugs.debian.org,144096-done@bugs.debian.org,144413-done@bugs.debian.org,145799-done@bugs.debian.org,145847-done@bugs.debian.org,146542-done@bugs.debian.org,146666-done@bugs.debian.org,147171-done@bugs.debian.org,147426-done@bugs.debian.org,147556-done@bugs.debian.org,147830-done@bugs.debian.org,148750-done@bugs.debian.org,150692-done@bugs.debian.org,152878-done@bugs.debian.org,153224-done@bugs.debian.org,153778-done@bugs.debian.org,154725-done@bugs.debian.org,155424-done@bugs.debian.org,155740-done@bugs.debian.org,156144-done@bugs.debian.org,156513-done@bugs.debian.org,156515-done@bugs.debian.org,156874-done@bugs.debian.org,157858-done@bugs.debian.org,158314-done@bugs.debian.org,158573-done@bugs.debian.org,160377-done@bugs.debian.org,163219-done@bugs.debian.org,164734-done@bugs.debian.org,165503-done@bugs.debian.org,167335-done@bugs.debian.org,169016-done@bugs.debian.org,171263-done@bugs.debian.org,171433-done@bugs.debian.org,171824-done@bugs.debian.org,171830-done@bugs.debian.org,173557-done@bugs.debian.org,174489-done@bugs.debian.org,175050-done@bugs.debian.org,175234-done@bugs.debian.org,177269-done@bugs.debian.org,179649-done@bugs.debian.org,180895-done@bugs.debian.org,181129-done@bugs.debian.org,182062-done@bugs.debian.org,183119-done@bugs.debian.org,183866-done@bugs.debian.org,184197-done@bugs.debian.org,186294-done@bugs.debian.org,187609-done@bugs.debian.org,187999-done@bugs.debian.org,190163-done@bugs.debian.org,192072-done@bugs.debian.org,192075-done@bugs.debian.org,194161-done@bugs.debian.org,196524-done@bugs.debian.org,196870-done@bugs.debian.org,197301-done@bugs.debian.org,198485-done@bugs.debian.org,200717-done@bugs.debian.org,200781-done@bugs.debian.org,203879-done@bugs.debian.org,204817-done@bugs.debian.org,204852-done@bugs.debian.org,206118-done@bugs.debian.org,206381-done@bugs.debian.org,206530-done@bugs.debian.org,209157-done@bugs.debian.org,209594-done@bugs.debian.org,214638-done@bugs.debian.org,216775-done@bugs.debian.org,217341-done@bugs.debian.org,219098-done@bugs.debian.org,219809-done@bugs.debian.org,224373-done@bugs.debian.org,226734-done@bugs.debian.org,229822-done@bugs.debian.org,230792-done@bugs.debian.org,234193-done@bugs.debian.org,234204-done@bugs.debian.org,234392-done@bugs.debian.org,243683-done@bugs.debian.org,245389-done@bugs.debian.org,250314-done@bugs.debian.org,254734-done@bugs.debian.org,258572-done@bugs.debian.org,268832-done@bugs.debian.org,268833-done@bugs.debian.org,268835-done@bugs.debian.org,269244-done@bugs.debian.org,272243-done@bugs.debian.org,272452-done@bugs.debian.org,273817-done@bugs.debian.org,282275-done@bugs.debian.org,282610-done@bugs.debian.org,283159-done@bugs.debian.org,283415-done@bugs.debian.org,283569-done@bugs.debian.org,285990-done@bugs.debian.org,292438-done@bugs.debian.org,296339-done@bugs.debian.org,297916-done@bugs.debian.org,301750-done@bugs.debian.org,301752-done@bugs.debian.org,304800-done@bugs.debian.org,307617-done@bugs.debian.org,309747-done@bugs.debian.org,310799-done@bugs.debian.org,312919-done@bugs.debian.org,317725-done@bugs.debian.org,331315-done@bugs.debian.org,333845-done@bugs.debian.org,334830-done@bugs.debian.org,336445-done@bugs.debian.org,338066-done@bugs.debian.org,341005-done@bugs.debian.org,343083-done@bugs.debian.org,343330-done@bugs.debian.org,343663-done@bugs.debian.org,350003-done@bugs.debian.org,350081-done@bugs.debian.org,353077-done@bugs.debian.org,355026-done@bugs.debian.org,355348-done@bugs.debian.org,355349-done@bugs.debian.org,356584-done@bugs.debian.org,357045-done@bugs.debian.org,364433-done@bugs.debian.org,365927-done@bugs.debian.org,374198-done@bugs.debian.org,374808-done@bugs.debian.org,377962-done@bugs.debian.org,382427-done@bugs.debian.org,382434-done@bugs.debian.org,395209-done@bugs.debian.org,398756-done@bugs.debian.org,399269-done@bugs.debian.org,400859-done@bugs.debian.org,403425-done@bugs.debian.org,403877-done@bugs.debian.org,410482-done@bugs.debian.org,419922-done@bugs.debian.org,422731-done@bugs.debian.org,431252-done@bugs.debian.org,431910-done@bugs.debian.org,434468-done@bugs.debian.org,438513-done@bugs.debian.org,442428-done@bugs.debian.org,444614-done@bugs.debian.org,446137-done@bugs.debian.org,446889-done@bugs.debian.org,449294-done@bugs.debian.org,463684-done@bugs.debian.org,477623-done@bugs.debian.org,485736-done@bugs.debian.org,497262-done@bugs.debian.org,507866-done@bugs.debian.org,527966-done@bugs.debian.org,528900-done@bugs.debian.org,529607-done@bugs.debian.org,539834-done@bugs.debian.org,542492-done@bugs.debian.org,563714-done@bugs.debian.org,576747-done@bugs.debian.org,580611-done@bugs.debian.org,586785-done@bugs.debian.org,589138-done@bugs.debian.org,598320-done@bugs.debian.org,608691-done@bugs.debian.org,619367-done@bugs.debian.org,634666-done@bugs.debian.org,649686-done@bugs.debian.org,650581-done@bugs.debian.org,662557-done@bugs.debian.org,681407-done@bugs.debian.org,696146-done@bugs.debian.org,712355-done@bugs.debian.org,
Cc: xemacs21@packages.debian.org, xemacs21@packages.qa.debian.org
Subject: Bug#725883: Removed package(s) from unstable
Date: Sun, 13 Oct 2013 09:54:29 +0000
Version: 21.4.22-4+rm

Dear submitter,

as the package xemacs21 has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/725883

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Nov 2013 07:30:14 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Mark Brown <broonie@sirena.org.uk> to control@bugs.debian.org. (Sun, 17 Nov 2013 14:28:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Dec 2013 07:28:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:47:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.